Subject: Dangerous bug warning for mach32 driver of svgalib
From: [email-masked] (Michael Weller)
Date: Wed, 27 Apr 1994 16:30:55 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux,comp.os.linux.misc

Dangerous bug warning for mach32 driver of svgalib

I noticed a bug/problem that may lead to incorrect DAC setup in the
mach32 driver I wrote for the current svgalib versions.

For DAC-type 2 if no valid clocks command is given in the config file,
the RAMDAC may be not setup correctly for SOME clocks above 80 MHz
resulting in DAC overheating and potential damaging. This should not
affect usually used modes by svgalib-mach32, however since modes setup in the
EEPROM of the Mach32 are used, some (actually very small) potential remains.

Note that the problem is easily and safe cured by giving a correct clocks
statement in your config file. See the README's of your svgalib version for
details about the clocks command and clocks to be used for your card.

While I'm at it, faking wrong clocks in the config file may lead to the
same (or even worse effect). Didn't point that out in the DOCs enough.

Sorry for any inconvenience,

Michael.

--
(I still have no .sig file)
([email-masked] or [email-masked]
or [email-masked] or [email-masked])
--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.